
Foreman - Bug #6717

Template locked/unlock message cannot be translated

07/22/2014 05:34 AM - Dominic Cleal

Status: Closed   

Priority: Low   

Assignee: Dominic Cleal   

Category: Internationalization   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1621

  

Description

#3103 added a UI ability to lock and unlock provisioning templates, but the success string can't be extracted and translated as it uses

interpolation:   

process_success :success_msg => _("Template #{locked ? 'locked' : 'unlocked'}."), :success_redirect => :back

(app/controllers/config_templates_controller.rb:124)

Related issues:

Related to Foreman - Feature #3103: Read only provisioning/config templates f... Closed 09/17/2013

Associated revisions

Revision 40d8433e - 07/28/2014 05:30 AM - Dominic Cleal

fixes #6717 - remove interpolation from message for i18n extraction

History

#1 - 07/22/2014 05:36 AM - Dominic Cleal

- Related to Feature #3103: Read only provisioning/config templates for plugins added

#2 - 07/28/2014 05:30 AM - Dominic Cleal

- Assignee set to Dominic Cleal

#3 - 07/28/2014 05:30 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1621 added

- Pull request deleted ()

#4 - 07/28/2014 05:31 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#5 - 07/28/2014 08:01 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 40d8433e6f3967cb0f3c2d3689c0af8315a284cb.
